<?php

date_default_timezone_set('PRC');

require_once __DIR__.'/Patch.php';

$codeDir = __DIR__.'/patch/repair_light_db_gid';

$code = file_get_contents($codeDir . '/code.php');
$code = str_replace('<?php', '', $code);

$name = '修复分库gid为0的情况';
$desc = '主要用于修复群组与设备处于关联的情况，但分库里面的gid为0，会导致灯上报状态时无法找寻关联的群组，从而导致群组亮度无法与灯保持一致的问题';
// 适用于此版本及以下版本使用
$ver = '999';
// 补丁key
$key = 'smartLEDZ';

$stream = Patch::packPatch($name, $desc, $code, $ver, $key);

$is = file_put_contents($codeDir.'/'.date('Y-m-d').'v'.$ver.'_'.time().rand(1000, 9999).'.b', $stream);
if(!$is) die('补丁生成失败');
die('补丁已生成');
